Package com.arms.api.product_service.pdservice.service

## Class PdServiceImpl

- java.lang.Object
- - com.arms.egovframework.javaservice.treeframework.service.TreeServiceImpl
  - - com.arms.api.product_service.pdservice.service.PdServiceImpl

- All Implemented Interfaces:
    `PdService`, `TreeService`

      @Service("pdService")
      public class PdServiceImpl
      extends TreeServiceImpl
      implements PdService

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `PdServiceImpl()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `PdServiceEntity` | `addPdServiceAndVersion​(PdServiceEntity pdServiceEntity)` |
    `PdServiceEntity` | `addPdServiceVersion​(PdServiceEntity pdServiceEntity)` |
    `PdServiceD3Chart` | `getD3ChartData()` |
    `PdServiceEntity` | `getNodeWithVersionOrderByCidDesc​(PdServiceEntity pdServiceEntity)` |
    `java.util.List<PdServiceAndVersionListDTO>` | `getPdServiceEntityAndVersionList​(PdServiceEntity pdServiceEntity)` |
    `int` | `removeAll​(java.lang.Long pdServiceId)` |
    `PdServiceEntity` | `removeVersionNode​(java.lang.Long pdServiceID, java.lang.Long versionID)` |
    `PdServiceEntity` | `updatePdServiceVersion​(java.lang.Long pdservice_link, PdServiceVersionEntity pdServiceVersionEntity)` |
    `java.util.Set<FileRepositoryEntity>` | `upload​(org.springframework.web.multipart.MultipartHttpServletRequest multiRequest, FileRepository fileRepository)` |
    `java.util.Set<FileRepositoryEntity>` | `uploadFileForPdServiceNode​(java.lang.Long pdservice_link, org.springframework.web.multipart.MultipartHttpServletRequest multiRequest)` |
    `java.util.List<PdServiceVersionVO>` | `versionListByCId​(PdServiceEntity pdServiceEntity)` |
    `java.util.List<PdServiceVersionVO>` | `versionListWithDateByCId​(PdServiceEntity pdServiceEntity)` |

    - ### Methods inherited from class com.arms.egovframework.javaservice.treeframework.service.TreeServiceImpl

      `addNode, alterNode, alterNodeType, calculatePosition, cutMyself, enterMyselfFixLeftRight, enterMyselfFromTree, fixPositionParentIdOfCopyNodes, getChildNode, getChildNodeWithoutPaging, getNode, getNodesWithoutRoot, getNodesWithoutRootMap, getPaginatedChildNode, moveNode, newInstance, overwriteNode, pasteMyselfFromTree, removeNode, saveOrUpdateList, searchNode, stretchLeft, stretchLeftRightForMyselfFromTree, stretchPositionForMyselfFromTree, stretchRight, updateField, updateNode`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface com.arms.egovframework.javaservice.treeframework.service.TreeService

      `addNode, alterNode, alterNodeType, getChildNode, getChildNodeWithoutPaging, getNode, getNodesWithoutRoot, getNodesWithoutRootMap, getPaginatedChildNode, moveNode, overwriteNode, removeNode, searchNode, updateField, updateNode`

- - ### Constructor Detail

    - #### PdServiceImpl

          public PdServiceImpl()

  - ### Method Detail

    - #### getNodeWithVersionOrderByCidDesc

          public PdServiceEntity getNodeWithVersionOrderByCidDesc​(PdServiceEntity pdServiceEntity)
                                                           throws java.lang.Exception

      Specified by:
        `getNodeWithVersionOrderByCidDesc` in interface `PdService`
      Throws:
        `java.lang.Exception`

    - #### versionListByCId

          public java.util.List<PdServiceVersionVO> versionListByCId​(PdServiceEntity pdServiceEntity)
                                                              throws java.lang.Exception

      Specified by:
        `versionListByCId` in interface `PdService`
      Throws:
        `java.lang.Exception`

    - #### versionListWithDateByCId

          public java.util.List<PdServiceVersionVO> versionListWithDateByCId​(PdServiceEntity pdServiceEntity)
                                                                      throws java.lang.Exception

      Specified by:
        `versionListWithDateByCId` in interface `PdService`
      Throws:
        `java.lang.Exception`

    - #### addPdServiceAndVersion

          @Transactional
          public PdServiceEntity addPdServiceAndVersion​(PdServiceEntity pdServiceEntity)
                                                 throws java.lang.Exception

      Specified by:
        `addPdServiceAndVersion` in interface `PdService`
      Throws:
        `java.lang.Exception`

    - #### updatePdServiceVersion

          @Transactional
          public PdServiceEntity updatePdServiceVersion​(java.lang.Long pdservice_link,
                                                        PdServiceVersionEntity pdServiceVersionEntity)
                                                 throws java.lang.Exception

      Specified by:
        `updatePdServiceVersion` in interface `PdService`
      Throws:
        `java.lang.Exception`

    - #### addPdServiceVersion

          @Transactional
          public PdServiceEntity addPdServiceVersion​(PdServiceEntity pdServiceEntity)
                                              throws java.lang.Exception

      Specified by:
        `addPdServiceVersion` in interface `PdService`
      Throws:
        `java.lang.Exception`

    - #### uploadFileForPdServiceNode

          @Transactional
          public java.util.Set<FileRepositoryEntity> uploadFileForPdServiceNode​(java.lang.Long pdservice_link,
                                                                                org.springframework.web.multipart.MultipartHttpServletRequest multiRequest)
                                                                         throws java.lang.Exception

      Specified by:
        `uploadFileForPdServiceNode` in interface `PdService`
      Throws:
        `java.lang.Exception`

    - #### upload

          public java.util.Set<FileRepositoryEntity> upload​(org.springframework.web.multipart.MultipartHttpServletRequest multiRequest,
                                                            FileRepository fileRepository)
                                                     throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### removeVersionNode

          @Transactional
          public PdServiceEntity removeVersionNode​(java.lang.Long pdServiceID,
                                                   java.lang.Long versionID)
                                            throws java.lang.Exception

      Specified by:
        `removeVersionNode` in interface `PdService`
      Throws:
        `java.lang.Exception`

    - #### getD3ChartData

          public PdServiceD3Chart getD3ChartData()
                                          throws java.lang.Exception

      Specified by:
        `getD3ChartData` in interface `PdService`
      Throws:
        `java.lang.Exception`

    - #### removeAll

          @Transactional
          public int removeAll​(java.lang.Long pdServiceId)
                        throws java.lang.Exception

      Specified by:
        `removeAll` in interface `PdService`
      Throws:
        `java.lang.Exception`

    - #### getPdServiceEntityAndVersionList

          public java.util.List<PdServiceAndVersionListDTO> getPdServiceEntityAndVersionList​(PdServiceEntity pdServiceEntity)
                                                                                      throws java.lang.Exception

      Specified by:
        `getPdServiceEntityAndVersionList` in interface `PdService`
      Throws:
        `java.lang.Exception`